Bug 5316 - Fix broken name of configure-printer service
: Fix broken name of configure-printer service
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-02 16:47 MSD by Denis Silakov
Modified: 2015-04-13 18:15 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2015-04-02 16:47:48 MSD
Currently configure-printer service file from system-config-printer-udev is missing '@' sign - it should be "configure-printer@.service", not "configure-printer.service".
Comment 1 Denis Silakov 2015-04-02 16:48:46 MSD
Advisory:
Fixed configure-printer service name.

Build lists:
https://abf.io/build_lists/2487224
https://abf.io/build_lists/2487225
Comment 2 Vladimir Potapov 2015-04-02 18:55:58 MSD
Там есть пара проблем
1) правила срабатывают только при втыкании принтера и не срабатывают, если он уже был подключен, так что не факт, что заработают в лайве
2) во всплывающем сообщении кнопка проверки печати не работает.

Но уже лучше чем было, потому пропускаю.
*************************************************************
The update is sent to expanded testing
Comment 3 Denis Silakov 2015-04-02 23:15:44 MSD
(In reply to comment #2)
> Там есть пара проблем
> 1) правила срабатывают только при втыкании принтера и не срабатывают, если
> он уже был подключен, так что не факт, что заработают в лайве

Это ты попробовал обновить пакет в установленной системе? Если что, сейчас можно отсюда попробовать 32битную исошку - https://abf.rosalinux.ru/platforms/red/products/133/product_build_lists/10255

64битную не надо, я там опечатался:)

> 2) во всплывающем сообщении кнопка проверки печати не работает.

Тут бы логи посмотреть. Вдруг что полезное где-то написано.
Comment 4 Vladimir Potapov 2015-04-06 13:14:57 MSD
(In reply to comment #3)
> можно отсюда попробовать 32битную исошку -
> https://abf.rosalinux.ru/platforms/red/products/133/product_build_lists/10255

> 
> > 2) во всплывающем сообщении кнопка проверки печати не работает.
> 
> Тут бы логи посмотреть. Вдруг что полезное где-то написано.
http://hw.rosalinux.ru/index.php?probe=b1d5e4d23b
Это я загрузился в лайве, воткнул принтер и попытался с всплывающего окна тестовую страницу напечатать.
В настройке принтеров он появился нормально и оттуда печать тестовой страницы идет (пробовал уже после пробы)
Comment 5 Vladimir Potapov 2015-04-06 13:21:31 MSD
А вот проба из лайва, загруженного с уже подключенным принтером.
 http://hw.rosalinux.ru/index.php?probe=a0c1d3acb8
Как и предсказывалось, принтер не появился :-(
Comment 6 Vladimir Potapov 2015-04-07 18:59:50 MSD
для детекта при автозагрузке

апр 07 01:16:15 localhost udev-configure-printer[3110]: device devpath is /devices/pci0000:00/0000:00:1d.0/usb4/4-1/4-1.6/4-1.6.3
апр 07 01:16:15 localhost udev-configure-printer[3110]: MFG:HP MDL:Deskjet 3520 series SERN:CN26F178X605SZ serial:CN26F178X605SZ
апр 07 01:16:15 localhost udev-configure-printer[3110]: CheckAndInstallDrivers()
апр 07 01:16:15 localhost udev-configure-printer[3110]: CheckInstalledDrivers()
апр 07 01:16:15 localhost udev-configure-printer[3110]: MissingDriver()
апр 07 01:16:15 localhost udev-configure-printer[3110]: FAIL HERE
апр 07 01:16:15 localhost systemd[1]: configure-printer@usb-004-007.service: main process exited, code=exited, status=1/FAILURE


для детекта при втыкании

апр 06 17:08:31 localhost udev-configure-printer[6000]: device devpath is /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6.3
апр 06 17:08:31 localhost udev-configure-printer[6000]: MFG:HP MDL:Deskjet 3520 series SERN:CN26F178X605SZ serial:CN26F178X605SZ
апр 06 17:08:31 localhost udev-configure-printer[6000]: CheckAndInstallDrivers()
апр 06 17:08:32 localhost udev-configure-printer[6000]: CheckInstalledDrivers()
апр 06 17:08:33 localhost hpfax[6091]: [6091]: error: Failed to create /var/spool/cups/tmp/.hplip
апр 06 17:08:33 localhost kernel: usblp1: removed
апр 06 17:08:33 localhost kernel: usblp 2-1.6.3:1.1: usblp1: USB Bidirectional printer dev 8 if 1 alt 0 proto 2 vid 0x03F0 pid 0xB011
апр 06 17:08:33 localhost udev-configure-printer[6000]: SERN fields match
апр 06 17:08:33 localhost udev-configure-printer[6000]: URI match: hp:/usb/Deskjet_3520_series?serial=CN26F178X605SZ
апр 06 17:08:33 localhost udev-configure-printer[6000]: SERN fields match
апр 06 17:08:33 localhost udev-configure-printer[6000]: URI match: usb://HP/Deskjet%203520%20series?serial=CN26F178X605SZ&interface=1
апр 06 17:08:33 localhost udev-configure-printer[6000]: About to add queue for hp:/usb/Deskjet_3520_series?serial=CN26F178X605SZ

Не находит принтерный драйвер, видимо что-то еще не стартовало.
Comment 7 Vladimir Potapov 2015-04-07 21:39:04 MSD
Попробовал поставить даже после graphical.target
Проверил, так и стартует (одной из последних). И все равно не находит драйвер.
А если потом рестартовать вручную - находит.
Comment 8 Denis Silakov 2015-04-07 21:42:27 MSD
Понятно. Старт сервиса хотя бы наладился.

В принципе, обновление можно уже пропускать, т.к. эти изменения железно останутся. И завести отдельный баг на тему собственно детекта, тут надо покопаться.
Comment 9 Denis Silakov 2015-04-09 00:59:34 MSD
Результаты копания - падает мандривовская добавка к system-config-printer, которая проверяет, что установлены пакеты с нужными драйверами. Пока непонятно, что ей мешает проверить это при загрузке. С другой стороны, в качестве временного решения можно такую проверку просто отрубить - все пакеты, какие можно, мы и так запихиваем на диск.

Попробуй вот эти пакеты system-config-printer:

(32bit)
https://abf.rosalinux.ru/build_lists/2488953

(64bit)
https://abf.rosalinux.ru/build_lists/2488954

Заработает ли определение принтера при включении компа?
Comment 10 Vladimir Potapov 2015-04-09 07:30:45 MSD
Не, все так же. Возможно оно вылетает по exception из этой функции?
Comment 11 Denis Silakov 2015-04-09 10:17:50 MSD
Также - в смысле логи такие же? Странно, если так. Тогда надо будет побольше логгирования добавить.
Comment 12 Vladimir Potapov 2015-04-09 11:59:24 MSD
(In reply to comment #11)
> Также - в смысле логи такие же? Странно, если так. Тогда надо будет побольше
> логгирования добавить.

ага, все точно-точно так. Возможно, внутри функции падает, не доходит до исправления?
Comment 13 Denis Silakov 2015-04-09 12:50:57 MSD
Попробуй-ка вот эти сборки:

https://abf.io/build_lists/2489021
https://abf.io/build_lists/2489020

Здесь сообщений "FAIL HERE" точно не должно быть, и фела в том месте тоже. Если вдруг будут такие сообщения - то что-то ты не так обновил:)
Comment 14 Vladimir Potapov 2015-04-09 14:01:37 MSD
It's work!
The update is sent to expanded testing
**************************************
Comment 15 Vladimir Potapov 2015-04-09 14:03:07 MSD
(In reply to comment #14)
> It's work!
> The update is sent to expanded testing
> **************************************

P.S. container https://abf.io/build_lists/2489020 invalid, valid container is
https://abf.io/build_lists/2489022
Comment 16 Vladimir Potapov 2015-04-13 13:29:10 MSD
system-config-printer-1.4.7-4
https://abf.io/build_lists/2489021
https://abf.io/build_lists/2489020
**************************** Advisory **************************
Fixed configure-printer service name.
****************************************************************
QA Verified
Comment 17 Vladimir Potapov 2015-04-13 18:15:51 MSD
Sorry, bad container URL.

system-config-printer-1.4.7-4
https://abf.io/build_lists/2489021
https://abf.io/build_lists/2489022
**************************** Advisory **************************
Fixed configure-printer service name.
****************************************************************
QA Verified